<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>Your HealthCare Global</title>
  <meta name="description" content="">
  <meta name="keywords" content="">

	<?php include_once("includes/global-styles.php"); ?>
	
</head>

<body class="inner-page">

	<?php include_once("includes/header.php"); ?>

  <main class="main">

    <!-- Hero Section -->
    <section id="hero" class="hero">
			
			<div class="container">
				<div class="">
					<div class="row justify-content-between align-items-end">
						<nav class="breadcrumbs mb-3">
							<button onclick="window.history.back()" class="btn btn-back"><i class='bx bx-left-arrow-alt'></i> Back</button>
							<ol>
								<li><a href="index">Home</a></li>
								<li class="current">About</li>
							</ol>
						</nav>
						<div class="col-md-6">
							<h1>The Story of <br><strong>Your HealthCare Global</strong><br></h1>
						</div>
					</div>
				</div>
			</div>

    </section>

    <!-- About Section -->
    <section id="alpha" class="about alpha">
      <div class="container">

        <div class="row align-items-center justify-content-between g-5 mb-5">
          <div class="col-lg-5" data-aos="fade-up" data-aos-delay="100">
						<div class="image">
							<img src="assets/img/about/about-in.webp" class="img-fluid" alt="">
						</div>
          </div>
					<div class="col-lg-6" data-aos="fade-up" data-aos-delay="200">
						<div class="content">
							<h2>Empowering Healthcare Through <span>Exceptional Talent Solutions</span></h2>
							<p>At Your HealthCare Global (YHG), we are dedicated to bridging the gap between healthcare providers and top-tier talent, delivering exceptional recruitment solutions tailored to the dynamic needs of the healthcare industry. Our mission is to strengthen the healthcare sector by providing highly skilled and reliable professionals who are ready to make a meaningful impact on patient care.</p>
						</div>
					</div>
        </div>

        <!-- <div class="row align-items-center justify-content-between g-5 mt-5">
					<div class="col-lg-6 order-2 order-md-1" data-aos="fade-up" data-aos-delay="100">
						<div class="content">
							<h2>What We Do</h2>
							<p>We specialize in:</p>
							<ul>
								<li>Connecting Talent to Opportunity: Through rigorous vetting processes and professional development, we ensure healthcare providers have access to the best professionals in the industry.</li>
								<li>Solving Workforce Challenges: We address staffing shortages, reduce turnover, and ensure compliance with industry standards to improve the quality of care and operational efficiency.</li>
								<li>Supporting Career Growth: For healthcare professionals, we provide continuous training, certification, and career guidance to help them thrive in their roles.</li>
							</ul>
						</div>
					</div>
          <div class="col-lg-5 order-1 order-md-2" data-aos="fade-up" data-aos-delay="200">
						<div class="image">
							<img src="assets/img/why/why (2).webp" class="img-fluid" alt="">
						</div>
          </div>
        </div> -->

      </div>

    </section>
		
    <!-- Section -->
    <section id="why" class="section why">

			<div class="container" data-aos="fade-up">
				<!-- Section Title -->
				<div class="section-title">
					<div class="row justify-content-between">
						<div class="col-md-5" data-aos="fade-up" data-aos-delay="100">
							<h2>Why Choose <br><span>Your HealthCare Global</span>?</h2>
						</div>
						<div class="col-md-6" data-aos="fade-up" data-aos-delay="200">
							<p>At Your HealthCare Global, we are more than a recruitment agency, we are your partner in healthcare success, whether you’re a provider seeking skilled professionals or a healthcare worker looking to advance your career.</p>
							<a class="btn btn-outline icon-arrow me-2" href="about">Know more <i class='bx bx-up-arrow-alt'></i></a>
						</div>
					</div>
				</div>
			</div>

			<div class="container" data-aos="fade-up">
				<div class="row g-4 justify-content-between">
					<div class="col-md-3" data-aos="fade-up" data-aos-delay="100">
						<div class="box">
							<div class="image">
								<img src="assets/img/why/why (1).webp" alt="" width="100%" height="100%" loading="lazy" role="presentation"  class="img-fluid">
							</div>
							<h2>Expert Staffing Solutions</h2>
							<p>Our recruitment process focuses on matching the right talent with the right roles, enhancing operations and patient care for healthcare providers.</p>
						</div>
					</div>
					<div class="col-md-3" data-aos="fade-up" data-aos-delay="200">
						<div class="box">
							<div class="image">
								<img src="assets/img/why/why (2).webp" alt="" width="100%" height="100%" loading="lazy" role="presentation"  class="img-fluid">
							</div>
							<h2>Professional Development</h2>
							<p>We believe in continuous growth and offer resources to help healthcare professionals stay ahead in their careers.</p>
						</div>
					</div>
					<div class="col-md-3" data-aos="fade-up" data-aos-delay="300">
						<div class="box">
							<div class="image">
								<img src="assets/img/why/why (3).webp" alt="" width="100%" height="100%" loading="lazy" role="presentation"  class="img-fluid">
							</div>
							<h2>Trusted Partnerships</h2>
							<p>Collaborating with leading hospitals, clinics, and care facilities to create impactful connections between talent and opportunity.</p>
						</div>
					</div>
				</div>
			</div>

    </section>

		<?php include_once("includes/cta.php"); ?>
		

  </main>

	<?php include_once("includes/footer.php"); ?>
	<?php include_once("includes/global-scripts.php"); ?>

</body>

</html>