<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>Your HealthCare Global</title>
  <meta name="description" content="">
  <meta name="keywords" content="">

	<?php include_once("includes/global-styles.php"); ?>
	
</head>

<body class="inner-page">

	<?php include_once("includes/header.php"); ?>

  <main class="main">

    <!-- Hero Section -->
    <section id="hero" class="hero">
			
			<div class="container">
				<div class="">
					<div class="row justify-content-between align-items-end">
						<div class="col-md-6 order-2 order-md-1">
							<nav class="breadcrumbs mb-3">
								<button onclick="window.history.back()" class="btn btn-back"><i class='bx bx-left-arrow-alt'></i> Back</button>
								<ol>
									<li><a href="index">Home</a></li>
									<li class="current">About</li>
								</ol>
							</nav>
							<h1>Allied Healthcare Professionals &<br>Health Science Services</h1>
							<p>Are you ready for your AHP/HSS opportunity in the UK? If you're already living and working here, explore the details or click the link to register.</p>
							<a class="btn btn-accent icon-arrow mt-1" href="register">Register Now<i class='bx bx-up-arrow-alt'></i></a>
						</div>
						<div class="col-md-5 order-1 order-md-2" data-aos="fade-up" data-aos-delay="100">
							<div class="image" data-aos="fade-up" data-aos-delay="200">
								<img src="assets/img/services/ahp.webp" class="img-fluid">
							</div>
						</div>
					</div>
				</div>
			</div>

    </section>

    <!-- About Section -->
    <section id="alpha" class="about alpha">
      <div class="container">

        <div class="row align-items-center justify-content-between g-5 mb-5">
          <div class="col-lg-5" data-aos="fade-up" data-aos-delay="100">
						<div class="image">
							<img src="assets/img/services/ahp (1).webp" class="img-fluid" alt="">
						</div>
          </div>
					<div class="col-lg-6" data-aos="fade-up" data-aos-delay="200">
						<div class="content">
						<h2>Explore Flexible Shift <br>Opportunities with <span>YHG</span></h2>
						<p>Are you ready to take your career to the next level with rewarding opportunities that offer both flexibility and fulfillment?</p>
						<p>At YHG, you can continue doing what you do best—providing exceptional care within the UK’s health system—while enjoying the freedom to shape your career around your personal needs and preferences.</p>
						<p>If you're already living and working in the UK, explore the information below. We’d love to assist you in securing your next opportunity and your career with us.</p>
						</div>
					</div>
        </div>

        <div class="row align-items-center justify-content-between g-5 mt-5">
					<div class="col-lg-6 order-2 order-md-1" data-aos="fade-up" data-aos-delay="100">
						<div class="content">
						<h2>Whatever Your Career Aspirations, <span>We're Here for You</span></h2>
						<p>At YHG, we’re committed to making your career journey as smooth and fulfilling as possible. Whether you’re seeking a short-term agency role, a long-term position, or a permanent career opportunity, you can rely on us to find the perfect fit for you.</p>
						<p>With contracts across more than 95% of NHS trusts, we offer a wide range of opportunities in Allied Health Professions (AHP) and Health Service Sciences (HSS), ensuring we connect you with exactly what you’re looking for.</p>
						</div>
					</div>
          <div class="col-lg-5 order-1 order-md-2" data-aos="fade-up" data-aos-delay="200">
						<div class="image">
							<img src="assets/img/services/ahp (2).webp" class="img-fluid" alt="">
						</div>
          </div>
        </div>

      </div>

    </section>

		<?php include_once("includes/job-cat.php"); ?>
		<?php include_once("includes/cta.php"); ?>

</main>

	<?php include_once("includes/footer.php"); ?>
	<?php include_once("includes/global-scripts.php"); ?>

</body>

</html>