<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>Your HealthCare Global</title>
  <meta name="description" content="">
  <meta name="keywords" content="">

	<?php include_once("includes/global-styles.php"); ?>
	
</head>

<body class="inner-page">

	<?php include_once("includes/header.php"); ?>

  <main class="main">

    <!-- Hero Section -->
    <section id="hero" class="hero">
			
			<div class="container">
				<div class="">
					<div class="row justify-content-between align-items-end">
						<div class="col-md-6 order-2 order-md-1">
							<nav class="breadcrumbs mb-3">
								<button onclick="window.history.back()" class="btn btn-back"><i class='bx bx-left-arrow-alt'></i> Back</button>
								<ol>
									<li><a href="index">Home</a></li>
									<li class="current">About</li>
								</ol>
							</nav>
							<h1>Unlock Your Dream Medical Career with <span>YHG</span></h1>
							<p>At YHG, we provide personalised guidance to help you transition effortlessly into your dream medical position. From start to finish, we’re here to ensure a smooth and successful journey.</p>
							<a class="btn btn-accent icon-arrow mt-1" href="register">Register Now<i class='bx bx-up-arrow-alt'></i></a>
						</div>
						<div class="col-md-4 order-1 order-md-2" data-aos="fade-up" data-aos-delay="100">
							<div class="image" data-aos="fade-up" data-aos-delay="200">
								<img src="assets/img/services/doctors.webp" class="img-fluid">
							</div>
						</div>
					</div>
				</div>
			</div>

    </section>

    <!-- About Section -->
    <section id="alpha" class="about alpha">
      <div class="container">

        <div class="row align-items-center justify-content-between g-5 mb-5">
          <div class="col-lg-5" data-aos="fade-up" data-aos-delay="100">
						<div class="image">
							<img src="assets/img/services/doctors (1).webp" class="img-fluid" alt="">
						</div>
          </div>
					<div class="col-lg-6" data-aos="fade-up" data-aos-delay="200">
						<div class="content">
							<h2>A Personalised Approach to <br><span>Medical Recruitment</span></h2>
							<p>Welcome to YHG, your reliable partner in navigating the world of medical recruitment.</p>
							<p>Whether you're exploring temporary roles or pursuing a permanent position, we understand that every doctor has unique needs. That's why we go the extra mile to find opportunities tailored to your aspirations.</p>
							<p>Are you an international doctor thinking of relocating to the UK and joining the NHS? Discover exciting international placement opportunities through our extensive network of NHS trusts.</p>
						</div>
					</div>
        </div>

        <div class="row align-items-center justify-content-between g-5 mt-5">
					<div class="col-lg-6 order-2 order-md-1" data-aos="fade-up" data-aos-delay="100">
						<div class="content">
							<h2>Already Practicing in the UK as a <span>Doctor</span>?</h2>
							<p>Ready for your next opportunity?</p>
							<p>As the UK's largest medical recruitment agency, we are proud to offer a personalised, one-on-one service that exceeds expectations.</p>
							<p>At YHC, we recognise that every doctor has unique preferences and requirements. That’s why our dedicated team is committed to finding roles that align perfectly with your professional goals.</p>
							<p>Join YHG and embark on a flexible locum career, where your aspirations are supported every step of the way.</p>
						</div>
					</div>
          <div class="col-lg-5 order-1 order-md-2" data-aos="fade-up" data-aos-delay="200">
						<div class="image">
							<img src="assets/img/services/doctors (2).webp" class="img-fluid" alt="">
						</div>
          </div>
        </div>

      </div>

    </section>

		<?php include_once("includes/job-cat.php"); ?>
		<?php include_once("includes/cta.php"); ?>
		
  </main>

	<?php include_once("includes/footer.php"); ?>
	<?php include_once("includes/global-scripts.php"); ?>

</body>

</html>