<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">
	<meta http-equiv="Cache-Control" content="max-age=604800">

  <title>Your Healthcare Global</title>
  <meta name="description" content="">
  <meta name="keywords" content="">

	<?php include_once("includes/global-styles.php"); ?>
	
</head>

<body class="index-page">

	<?php include_once("includes/header.php"); ?>

  <main class="main">

    <!-- Hero Section -->
    <section id="hero" class="hero">

			<div class="bg-img">
				<img src="assets/img/hero.jpg" alt="yt-banner" class="img-fluid" loading="lazy">
			</div>
			
			<div class="container">
				<div class="">
					<div class="row g-0 align-items-center">
						<div class="col-md-8 order-2 order-md-1" data-aos="fade-up">
							<h1><span>Your <br>Healthcare <br>Global</span></h1>
							<p>Emphasis on care</p>
							<a class="btn btn-def icon-arrow me-1 mb-1" href="register">Register <i class='bx bx-up-arrow-alt'></i></a>
							<a class="btn btn-accent icon-arrow me-1 mb-1" href="jobs">Jobs <i class='bx bx-up-arrow-alt'></i></a>
							<a class="btn btn-def icon-arrow mb-1" href="request-a-meeting">Request a Meeting <i class='bx bx-up-arrow-alt'></i></a>
						</div>
					</div>
				</div>
			</div>
    </section>
		
    <!-- Section -->
    <section id="services" class="section services">

			<div class="container">
				<!-- Section Title -->
				<div class="section-title">
					<div class="row justify-content-between">
						<div class="col-md-5" data-aos="fade-up" data-aos-delay="100">
							<h2>Strengthening <br>Healthcare with <br><span>YHG</span>’s Expert Staffing</h2>
						</div>
						<div class="col-md-6" data-aos="fade-up" data-aos-delay="200">
							<p>We deliver highly skilled healthcare professionals to meet your facility’s staffing needs. With a focus on quality and reliability, our recruitment process ensures that you receive the best talent to support your operations and enhance patient care.</p>
							<a class="btn btn-outline icon-arrow me-2" href="about">Know more <i class='bx bx-up-arrow-alt'></i></a>
						</div>
					</div>
				</div>
			</div>

			<div class="container" data-aos="fade-up">
				<div class="row g-2">
					<div class="col-md-3" data-aos="fade-up" data-aos-delay="100">
						<div class="box">
							<div class="image">
								<img src="assets/img/services/ser (1).png" alt="" width="100%" height="100%" loading="lazy" role="presentation"  class="img-fluid">
								<i class="bx bx-right-arrow-alt"></i>
							</div>
							<div class="content">
								<h2>Nurses</h2>
							</div>
							<a href="nursing" class="stretched-link" aria-label="services"></a>
						</div>
					</div>
					<div class="col-md-3" data-aos="fade-up" data-aos-delay="200">
						<div class="box">
							<div class="image">
								<img src="assets/img/services/ser (2).png" alt="" width="100%" height="100%" loading="lazy" role="presentation"  class="img-fluid">
								<i class="bx bx-right-arrow-alt"></i>
							</div>
							<div class="content">
								<h2>Doctors</h2>
							</div>
							<a href="doctors" class="stretched-link" aria-label="services"></a>
						</div>
					</div>
					<div class="col-md-3" data-aos="fade-up" data-aos-delay="300">
						<div class="box">
							<div class="image">
								<img src="assets/img/services/ser (3).png" alt="" width="100%" height="100%" loading="lazy" role="presentation"  class="img-fluid">
								<i class="bx bx-right-arrow-alt"></i>
							</div>
							<div class="content">
								<h2>Allied Health Professionals (AHP)</h2>
							</div>
							<a href="ahp" class="stretched-link" aria-label="services"></a>
						</div>
					</div>
					<div class="col-md-3" data-aos="fade-up" data-aos-delay="400">
						<div class="box">
							<div class="image">
								<img src="assets/img/services/ser (4).png" alt="" width="100%" height="100%" loading="lazy" role="presentation"  class="img-fluid">
								<i class="bx bx-right-arrow-alt"></i>
							</div>
							<div class="content">
								<h2>Health Science Services (HSS)</h2>
							</div>
							<a href="ahp" class="stretched-link" aria-label="services"></a>
						</div>
					</div>
				</div>
			</div>

    </section>
		
    <!-- Section -->
    <section id="about" class="section about">

			<div class="container" data-aos="fade-up">
				<div class="row justify-content-between align-items-center">
					<div class="col-md-5 order-2 order-md-1" data-aos="fade-up">
						<!-- Section Title -->
						<div class="section-title">
							<h2>Solving The Biggest <span>Healthcare Workforce</span> Challenges</h2>
							<p>At Your Healthcare Global, we understand the difficulties of maintaining a skilled and reliable healthcare workforce. We provide solutions that:</p>
							<ul>
								<li>Reduce staff shortages and turnover.</li>
								<li>Ensure compliance with industry standards and regulations.</li>
								<li>Enhance the quality of patient care with experienced professionals.</li>
							</ul>
							<p>Our candidates undergo thorough screening and training to meet the high demands of the healthcare industry.</p>
							<a class="btn btn-outline mb-1 icon-arrow me-2" href="request-a-meeting">Request a Meeting <i class='bx bx-up-arrow-alt'></i></a>
							<a class="btn btn-accent mb-1 icon-arrow" href="contact">Contact Us <i class='bx bx-up-arrow-alt'></i></a>
						</div>
					</div>

					<div class="col-md-6 order-1 order-md-2" data-aos="fade-up" data-aos-delay="50">
						<div class="box">
							<div class="image" data-aos="fade-up" data-aos-delay="200">
								<img src="assets/img/about/sec (1).webp" alt="" width="100%" height="100%" loading="lazy" role="presentation" class="img-fluid">
							</div>
							<div class="image" data-aos="fade-up" data-aos-delay="400">
								<img src="assets/img/about/sec (2).webp" alt="" width="100%" height="100%" loading="lazy" role="presentation" class="img-fluid">
							</div>
							<div class="image" data-aos="fade-up" data-aos-delay="600">
								<img src="assets/img/about/sec (3).webp" alt="" width="100%" height="100%" loading="lazy" role="presentation" class="img-fluid">
							</div>
						</div>
					</div>
				</div>
			</div>

    </section>
		
    <!-- Section -->
    <section id="why" class="section why">

			<div class="container" data-aos="fade-up">
				<!-- Section Title -->
				<div class="section-title">
					<div class="row justify-content-between">
						<div class="col-md-5" data-aos="fade-up" data-aos-delay="100">
							<h2><span>YHG</span><br>Job Search Made Easy!</h2>
						</div>
						<div class="col-md-6" data-aos="fade-up" data-aos-delay="200">
							<p>At Your Healthcare Global, we make finding the perfect healthcare job simple and efficient. Whether you're a nurse, doctor, or healthcare assistant, we connect you with the best opportunities tailored to your skills and career aspirations.</p>
							<a class="btn btn-outline icon-arrow me-2" href="about">Know more <i class='bx bx-up-arrow-alt'></i></a>
						</div>
					</div>
				</div>
			</div>

			<div class="container" data-aos="fade-up">
				<div class="row g-3 justify-content-between">
					<div class="col-md-3" data-aos="fade-up" data-aos-delay="100">
						<div class="box">
							<div class="image">
								<img src="assets/img/why/why (1).webp" alt="" width="100%" height="100%" loading="lazy" role="presentation"  class="img-fluid">
							</div>
							<h2>Wide range of job opportunities</h2>
							<p>We partner with leading healthcare providers to offer a variety of roles in hospitals, clinics, and care facilities.</p>
						</div>
					</div>
					<div class="col-md-3" data-aos="fade-up" data-aos-delay="200">
						<div class="box">
							<div class="image">
								<img src="assets/img/why/why (2).webp" alt="" width="100%" height="100%" loading="lazy" role="presentation"  class="img-fluid">
							</div>
							<h2>Professional development support</h2>
							<p>Grow your career with access to continuous training, certifications, and professional development programs.</p>
						</div>
					</div>
					<div class="col-md-3" data-aos="fade-up" data-aos-delay="300">
						<div class="box">
							<div class="image">
								<img src="assets/img/why/why (3).webp" alt="" width="100%" height="100%" loading="lazy" role="presentation"  class="img-fluid">
							</div>
							<h2>A strong foundation for your career</h2>
							<p>We help you build a stable and fulfilling career in the healthcare industry by providing guidance and support every step of the way.</p>
						</div>
					</div>
				</div>
			</div>

    </section>
		
		<?php include_once("includes/job-cat.php"); ?>
		<?php include_once("includes/testimonials.php"); ?>
		<?php include_once("includes/faq.php"); ?>
		<?php include_once("includes/cta.php"); ?>
		<?php include_once("includes/blogs.php"); ?>
		

  </main>

	<?php include_once("includes/footer.php"); ?>
	<?php include_once("includes/global-scripts.php"); ?>

</body>

</html>