<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>Your HealthCare Global</title>
  <meta name="description" content="">
  <meta name="keywords" content="">

	<?php include_once("includes/global-styles.php"); ?>
	
</head>

<body class="inner-page">

	<?php include_once("includes/header.php"); ?>

  <main class="main">

    <!-- Hero Section -->
    <section id="hero" class="hero">
			
			<div class="container">
				<div class="">
					<div class="row justify-content-between align-items-end">
						<div class="col-md-6 order-2 order-md-1">
							<nav class="breadcrumbs mb-3">
								<button onclick="window.history.back()" class="btn btn-back"><i class='bx bx-left-arrow-alt'></i> Back</button>
								<ol>
									<li><a href="index">Home</a></li>
									<li class="current">About</li>
								</ol>
							</nav>
							<h1>Shape Your Nursing <br>Career with <span>YHG</span></h1>
							<p>Are you ready for your next nursing opportunity in the UK? If you're already living and working here, explore the details or click the link to register.</p>
							<a class="btn btn-accent icon-arrow mt-1" href="register">Register Now<i class='bx bx-up-arrow-alt'></i></a>
						</div>
						<div class="col-md-4 order-1 order-md-2" data-aos="fade-up" data-aos-delay="100">
							<div class="image" data-aos="fade-up" data-aos-delay="200">
								<img src="assets/img/services/nursing.webp" class="img-fluid">
							</div>
						</div>
					</div>
				</div>
			</div>

    </section>

    <!-- About Section -->
    <section id="alpha" class="about alpha">
      <div class="container">

        <div class="row align-items-center justify-content-between g-5 mb-5">
          <div class="col-lg-5" data-aos="fade-up" data-aos-delay="100">
						<div class="image">
							<img src="assets/img/services/nursing (1).webp" class="img-fluid" alt="">
						</div>
          </div>
					<div class="col-lg-6" data-aos="fade-up" data-aos-delay="200">
						<div class="content">
							<h2>A Personalised Approach to <br><span>Medical Recruitment</span></h2>
							<p>As the UK’s leading medical recruitment agency, YHG offers a wide range of flexible opportunities, empowering you to achieve the perfect work-life balance while advancing your nursing career.</p>
							<p>We understand that every nurse has unique requirements, and our team is dedicated to matching you with roles that align with your individual preferences and goals.</p>
							<p>Discover the variety of healthcare settings available, all while enjoying the unwavering support and guidance of YHGC at every step of your journey.</p>
						</div>
					</div>
        </div>

        <div class="row align-items-center justify-content-between g-5 mt-5">
					<div class="col-lg-6 order-2 order-md-1" data-aos="fade-up" data-aos-delay="100">
						<div class="content">
							<h2>Your Path to Success: Comprehensive Support for <span>Nurses</span></h2>
							<p>At YHG, your success and wellbeing are our top priorities. We go beyond traditional recruitment to provide a support system designed to help you thrive.</p>
							<ul>
								<li><strong>Personalised Recruitment:</strong> You’ll be matched with a dedicated Recruitment Consultant who understands your goals and ensures every role fits your aspirations.</li>
								<li><strong>Comprehensive Support:</strong> From compliance to payroll, our expert teams handle the details so you can focus on delivering outstanding patient care.</li>
								<li><strong>Career Growth:</strong> We offer ongoing guidance to help you explore new specialties, advance your career, and achieve your goals in healthcare.</li>
							</ul>
						</div>
					</div>
          <div class="col-lg-5 order-1 order-md-2" data-aos="fade-up" data-aos-delay="200">
						<div class="image">
							<img src="assets/img/services/nursing (2).webp" class="img-fluid" alt="">
						</div>
          </div>
        </div>

      </div>

    </section>

		<?php include_once("includes/job-cat.php"); ?>
		<?php include_once("includes/cta.php"); ?>

</main>

	<?php include_once("includes/footer.php"); ?>
	<?php include_once("includes/global-scripts.php"); ?>

</body>

</html>