<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>Your HealthCare Global</title>
  <meta name="description" content="">
  <meta name="keywords" content="">

	<?php include_once("includes/global-styles.php"); ?>
	
</head>

<body class="inner-page">

	<?php include_once("includes/header.php"); ?>

  <main class="main">
		<section id="hero" class="hero">
			<div class="container">
				<div class="">
					<div class="row justify-content-between align-items-end">
						<nav class="breadcrumbs mb-3">
							<button onclick="window.history.back()" class="btn btn-back"><i class='bx bx-left-arrow-alt'></i> Back</button>
							<ol>
								<li><a href="index">Home</a></li>
								<li class="current">Terms & Conditions</li>
							</ol>
						</nav>
						<div class="col-md-6">
							<h1>Terms & Conditions</h1>
						</div>
					</div>
				</div>
			</div>
		</section>

    <!-- Section -->
    <section id="details" class="details section">

      <div class="container">

        <div class="row justify-content-between">
					<div class="col-lg-3" data-aos="fade-up" data-aos-delay="100">
						<ul class="table sticky-top" style="top:150px;">
							<li><a href="#1" class="scroll-to">License to use website</a></li>
							<li><a href="#2" class="scroll-to">Acceptable use</a></li>
							<li><a href="#3" class="scroll-to">Restricted access</a></li>
							<li><a href="#4" class="scroll-to">User content</a></li>
							<li><a href="#5" class="scroll-to">No warranties</a></li>
							<li><a href="#6" class="scroll-to">Limitations of liability</a></li>
							<li><a href="#7" class="scroll-to">Exceptions</a></li
							<li><a href="#8" class="scroll-to">Reasonableness</a></li>
							<li><a href="#9" class="scroll-to">Other parties</a></li>
							<li><a href="#10" class="scroll-to">Unenforceable provisions</a></li>
							<li><a href="#11" class="scroll-to">Indemnity</a></li>
							<li><a href="#12" class="scroll-to">Breaches of these terms and conditions</a></li>
							<li><a href="#13" class="scroll-to">Variation</a></li>
							<li><a href="#14" class="scroll-to">Assignment</a></li>
							<li><a href="#15" class="scroll-to">Severability</a></li>
							<li><a href="#16" class="scroll-to">Entire agreement</a></li>
							<li><a href="#17" class="scroll-to">Law and jurisdiction</a></li>
						</ul>
					</div>
					<div class="col-lg-8" data-aos="fade-up" data-aos-delay="100">
						<div class="content">
							<h2 id="1" class="scroll-end">License to use website</h2>
							<ul>
								<li>Unless otherwise stated, Your HealthCare Global and/or its licensors own the intellectual property rights in the website and material on the website. Subject to the license below, all these intellectual property rights are reserved.</li>
								<li>You may view, download for caching purposes only, and print pages from the website for your own personal use, subject to the restrictions set out below and elsewhere in these terms and conditions.</li>
								<li>You must not:
									<ul>
										<li>republish material from this website (including republication on another website);</li>
										<li>sell, rent or sub-license material from the website;</li>
										<li>show any material from the website in public;</li>
										<li>reproduce, duplicate, copy or otherwise exploit material on this website for a commercial purpose;</li>
										<li>edit or otherwise modify any material on the website; or</li>
										<li>redistribute material from this website except for content specifically and expressly made available for redistribution.</li>
									</ul>
								</li>
							</ul>

							<h2 id="2" class="scroll-end">Acceptable use</h2>
							<ul>
								<li>You must not use this website in any way that causes, or may cause, damage to the website or impairment of the availability or accessibility of the website; or in any way which is unlawful, illegal, fraudulent or harmful, or in connection with any unlawful, illegal, fraudulent or harmful purpose or activity.</li>
								<li>You must not use this website to copy, store, host, transmit, send, use, publish or distribute any material which consists of (or is linked to) any spyware, computer virus, Trojan horse, worm, keystroke logger, rootkit or other malicious computer software.</li>
								<li>You must not conduct any systematic or automated data collection activities (including without limitation scraping, data mining, data extraction and data harvesting) on or in relation to this website without Your HealthCare Global’s express written consent.</li>
								<li>You must not use this website to transmit or send unsolicited commercial communications.</li>
								<li>You must not use this website for any purposes related to marketing without Your HealthCare Global’s express written consent.</li>
							</ul>

							<h2 id="3" class="scroll-end">Restricted access</h2>
							<ul>
								<li>Your HealthCare Global reserves the right to restrict access to areas of this website, or indeed this entire website, at Your HealthCare Global’s discretion.</li>
								<li>If Your HealthCare Global provides you with a user ID and password to enable you to access restricted areas of this website or other content or services, you must ensure that the user ID and password are kept confidential.</li>
								<li>Your HealthCare Global may disable your user ID and password in Your HealthCare Global’s sole discretion without notice or explanation.</li>
							</ul>

							<h2 id="4" class="scroll-end">User content</h2>
							<ul>
								<li>In these terms and conditions, “your user content” means material (including without limitation text, images, audio material, video material and audio-visual material) that you submit to this website, for whatever purpose.</li>
								<li>You grant to Your HealthCare Global a worldwide, irrevocable, non-exclusive, royalty-free license to use, reproduce, adapt, publish, translate and distribute your user content in any existing or future media. You also grant to Your HealthCare Global the right to sub-license these rights, and the right to bring an action for infringement of these rights.</li>
								<li>Your user content must not be illegal or unlawful, must not infringe any third party’s legal rights, and must not be capable of giving rise to legal action whether against you or Your HealthCare Global or a third party (in each case under any applicable law).</li>
								<li>You must not submit any user content to the website that is or has ever been the subject of any threatened or actual legal proceedings or other similar complaint.</li>
								<li>Your HealthCare Global reserves the right to edit or remove any material submitted to this website, or stored on Your HealthCare Global’s servers, or hosted or published upon this website.</li>
								<li>Notwithstanding Your HealthCare Global’s rights under these terms and conditions in relation to user content, Your HealthCare Global does not undertake to monitor the submission of such content to, or the publication of such content on, this website.</li>
							</ul>

							<h2 id="5" class="scroll-end">No warranties</h2>
							<ul>
								<li>This website is provided “as is” without any representations or warranties, express or implied. Your HealthCare Global makes no representations or warranties in relation to this website or the information and materials provided on this website.</li>
								<li>Without prejudice to the generality of the foregoing paragraph, Your HealthCare Global does not warrant that:
									<ul>
										<li>this website will be constantly available, or available at all; or</li>
										<li>the information on this website is complete, true, accurate or non-misleading.</li>
									</ul>
								</li>
								<li>Nothing on this website constitutes, or is meant to constitute, advice of any kind. If you require advice in relation to any legal, financial or medical matter you should consult an appropriate professional.</li>
							</ul>

							<h2 id="6" class="scroll-end">Limitations of liability</h2>
							<ul>
								<li>Your HealthCare Global will not be liable to you (whether under the law of contact, the law of torts or otherwise) in relation to the contents of, or use of, or otherwise in connection with, this website:
									<ul>
										<li>to the extent that the website is provided free-of-charge, for any direct loss;</li>
										<li>for any indirect, special or consequential loss; or</li>
										<li>for any business losses, loss of revenue, income, profits or anticipated savings, loss of contracts or business relationships, loss of reputation or goodwill, or loss or corruption of information or data.</li>
									</ul>
								</li>
								<li>These limitations of liability apply even if Your HealthCare Global has been expressly advised of the potential loss.</li>
							</ul>

							<h2 id="7" class="scroll-end">Exceptions</h2>
							<ul>
								<li>Nothing in this website disclaimer will exclude or limit any warranty implied by law that it would be unlawful to exclude or limit; and nothing in this website disclaimer will exclude or limit Your HealthCare Global’s liability in respect of any:
									<ul>
										<li>death or personal injury caused by Your HealthCare Global’s negligence;</li>
										<li>fraud or fraudulent misrepresentation on the part of Your HealthCare Global; or</li>
										<li>matter which it would be illegal or unlawful for Your HealthCare Global to exclude or limit, or to attempt or purport to exclude or limit, its liability.</li>
									</ul>
								</li>
							</ul>

							<h2 id="8" class="scroll-end">Reasonableness</h2>
							<ul>
								<li>By using this website, you agree that the exclusions and limitations of liability set out in this website disclaimer are reasonable.</li>
								<li>If you do not think they are reasonable, you must not use this website.</li>
							</ul>

							<h2 id="9" class="scroll-end">Other parties</h2>
							<ul>
								<li>You accept that, as a limited liability entity, Your HealthCare Global has an interest in limiting the personal liability of its officers and employees. You agree that you will not bring any claim personally against Your HealthCare Global’s officers or employees in respect of any losses you suffer in connection with the website.</li>
								<li>Without prejudice to the foregoing paragraph, you agree that the limitations of warranties and liability set out in this website disclaimer will protect Your HealthCare Global’s officers, employees, agents, subsidiaries, successors, assigns and sub-contractors as well as Your HealthCare Global.</li>
							</ul>

							<h2 id="10" class="scroll-end">Unenforceable provisions</h2>
							<ul>
								<li>If any provision of this website disclaimer is, or is found to be, unenforceable under applicable law, that will not affect the enforceability of the other provisions of this website disclaimer.</li>
							</ul>

							<h2 id="11" class="scroll-end">Indemnity</h2>
							<ul>
								<li>You hereby indemnify Your HealthCare Global and undertake to keep Your HealthCare Global indemnified against any losses, damages, costs, liabilities and expenses (including without limitation legal expenses and any amounts paid by Your HealthCare Global to a third party in settlement of a claim or dispute on the advice of Your HealthCare Global’s legal advisers) incurred or suffered by Your HealthCare Global arising out of any breach by you of any provision of these terms and conditions[, or arising out of any claim that you have breached any provision of these terms and conditions].</li>
							</ul>

							<h2 id="12" class="scroll-end">Breaches of these terms and conditions</h2>
							<ul>
								<li>Without prejudice to Your HealthCare Global’s other rights under these terms and conditions, if you breach these terms and conditions in any way, Your HealthCare Global may take such action as Your HealthCare Global deems appropriate to deal with the breach, including suspending your access to the website, prohibiting you from accessing the website, blocking computers using your IP address from accessing the website, contacting your internet service provider to request that they block your access to the website and/or bringing court proceedings against you.</li>
							</ul>

							<h2 id="13" class="scroll-end">Variation</h2>
							<ul>
								<li>Your HealthCare Global may revise these terms and conditions from time-to-time. Revised terms and conditions will apply to the use of this website from the date of the publication of the revised terms and conditions on this website. Please check this page regularly to ensure you are familiar with the current version.</li>
							</ul>

							<h2 id="14" class="scroll-end">Assignment</h2>
							<ul>
								<li>Your HealthCare Global may transfer, sub-contract or otherwise deal with Your HealthCare Global’s rights and/or obligations under these terms and conditions without notifying you or obtaining your consent.</li>
								<li>You may not transfer, sub-contract or otherwise deal with your rights and/or obligations under these terms and conditions.</li>
							</ul>

							<h2 id="15" class="scroll-end">Severability</h2>
							<ul>
								<li>If a provision of these terms and conditions is determined by any court or other competent authority to be unlawful and/or unenforceable, the other provisions will continue in effect. If any unlawful and/or unenforceable provision would be lawful or enforceable if part of it were deleted, that part will be deemed to be deleted, and the rest of the provision will continue in effect.</li>
							</ul>

							<h2 id="16" class="scroll-end">Entire agreement</h2>
							<ul>
								<li>These terms and conditions constitute the entire agreement between you and Your HealthCare Global Limited in relation to your use of this website, and supersede all previous agreements in respect of your use of this website.</li>
							</ul>

							<h2 id="17" class="scroll-end">Law and jurisdiction</h2>
							<ul>
								<li>These terms and conditions will be governed by and construed in accordance with UK Law and any disputes relating to these terms and conditions will be subject to the exclusive jurisdiction of the courts of the United Kingdom.</li>
							</ul>
						</div>
					</div>
        </div>

      </div>

    </section>

  </main>

	<?php include_once("includes/footer.php"); ?>
	<?php include_once("includes/global-scripts.php"); ?>

</body>

</html>